% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{rStiefel}
\alias{rStiefel}
\title{Random element from Stiefel Manifold `S(p, q)`.}
\usage{
rStiefel(p, q)
}
\arguments{
\item{p}{Row dimension}

\item{q}{Column dimension}
}
\value{
Matrix of dim `(p, q)`.
}
\description{
Draws an element of \eqn{S(p, q)} which is the Stiefel Manifold.
This is done by taking the Q-component of the QR decomposition
from a `(p, q)` Matrix with independent standart normal entries.
As a semi-orthogonal Matrix the result `V` satisfies \eqn{V'V = I_q}.
}
\seealso{
<https://en.wikipedia.org/wiki/Stiefel_manifold>
}
